%bcond_with bootstrap

Name:           maven-plugin-tools
Version:        3.9.0
Release:        %mkrel 2
Group:          Development/Java
Summary:        Maven Plugin Tools
License:        ASL 2.0
URL:            https://maven.apache.org/plugin-tools/
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

Source0:        https://repo1.maven.org/maven2/org/apache/maven/plugin-tools/%{name}/%{version}/%{name}-%{version}-source-release.zip

Patch:          0001-Disable-help-MOJO-generation.patch
Patch:          0002-Remove-dependency-on-jtidy.patch
Patch:          0003-Disable-reporting.patch

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(com.thoughtworks.qdox:qdox)
BuildRequires:  mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:  mvn(org.apache.maven:maven-artifact)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-model)
BuildRequires:  mvn(org.apache.maven:maven-parent:pom:)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven:maven-repository-metadata)
BuildRequires:  mvn(org.apache.maven:maven-settings)
BuildRequires:  mvn(org.codehaus.modello:modello-maven-plugin)
BuildRequires:  mvn(org.codehaus.plexus:plexus-archiver)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-annotations)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-metadata)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.eclipse.sisu:org.eclipse.sisu.plexus)
BuildRequires:  mvn(org.eclipse.sisu:sisu-maven-plugin)
BuildRequires:  mvn(org.jsoup:jsoup)
BuildRequires:  mvn(org.ow2.asm:asm)
BuildRequires:  mvn(org.ow2.asm:asm-commons)
BuildRequires:  mvn(org.sonatype.plexus:plexus-build-api)
%endif
# TODO Remove in Fedora 46
Obsoletes:      %{name}-javadoc < 3.9.0-22

%description
The Maven Plugin Tools contains the necessary tools to be able to produce Maven
Plugins in a variety of languages.

%package -n maven-plugin-annotations
Summary:        Maven Plugin Java 5 Annotations

%description -n maven-plugin-annotations
This package contains Java 5 annotations to use in Mojos.

%package -n maven-plugin-plugin
Summary:        Maven Plugin Plugin

%description -n maven-plugin-plugin
The Plugin Plugin is used to create a Maven plugin descriptor for any Mojo's
found in the source tree, to include in the JAR. It is also used to generate
Xdoc files for the Mojos as well as for updating the plugin registry, the
artifact metadata and a generic help goal.

%package annotations
Summary:        Maven Plugin Tool for Annotations

%description annotations
This package provides Java 5 annotation tools for use with Apache Maven.

%package api
Summary:        Maven Plugin Tools APIs
Provides:       maven-shared-plugin-tools-api = 0:%{version}-%{release}

%description api
The Maven Plugin Tools API provides an API to extract information from
and generate documentation for Maven Plugins.

%package generators
Summary:        Maven Plugin Tools Generators

%description generators
The Maven Plugin Tools Generators provides content generation
(documentation, help) from plugin descriptor.

%package java
Summary:        Maven Plugin Tool for Java
Provides:       maven-shared-plugin-tools-java = 0:%{version}-%{release}

%description java
Descriptor extractor for plugins written in Java.

%prep
%autosetup -p1
find -name '*.java' -exec sed -i 's/\r//' {} +

rm -r maven-plugin-tools-api/src/test/resources/javadoc

%pom_xpath_inject "pom:project/pom:properties" "
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>"

%pom_xpath_remove "pom:execution[pom:id='generated-helpmojo']" maven-plugin-plugin

%pom_disable_module maven-script
%pom_disable_module maven-plugin-report-plugin

%pom_remove_dep -r :maven-reporting-impl
%pom_remove_dep -r :maven-reporting-api
%pom_remove_dep -r :plexus-velocity
%pom_remove_dep -r :velocity
%pom_remove_dep -r :jtidy
%pom_remove_plugin -r :spotless-maven-plugin

%pom_remove_dep org.junit:junit-bom
%pom_remove_dep :maven-plugin-tools-ant maven-plugin-plugin
%pom_remove_dep :maven-plugin-tools-beanshell maven-plugin-plugin

rm maven-plugin-tools-generators/src/main/java/org/apache/maven/tools/plugin/generator/PluginXdocGenerator.java

%build
%mvn_build -j -s -f -- -Dmaven.compiler.release=11

%install
%mvn_install

%files -f .mfiles-maven-plugin-tools
%license LICENSE NOTICE

%files -n maven-plugin-annotations -f .mfiles-maven-plugin-annotations
%license LICENSE NOTICE

%files -n maven-plugin-plugin -f .mfiles-maven-plugin-plugin

%files annotations -f .mfiles-maven-plugin-tools-annotations
%license LICENSE NOTICE

%files api -f .mfiles-maven-plugin-tools-api
%license LICENSE NOTICE

%files generators -f .mfiles-maven-plugin-tools-generators

%files java -f .mfiles-maven-plugin-tools-java




%changelog
* Sun Jun 29 2025 daviddavid <daviddavid> 3.9.0-2.mga10
+ Revision: 2225565
- Remove javadoc subpackage
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Wed May 22 2024 ns80 <ns80> 3.9.0-1.mga10
+ Revision: 2066150
- new version 3.9.0 for java 21

* Mon Jul 25 2022 neoclust <neoclust> 0:3.6.4-2.mga9
+ Revision: 1871071
- Disable bootstrap

* Sun Jul 24 2022 neoclust <neoclust> 0:3.6.4-1.mga9
+ Revision: 1870734
- New version 3.6.4
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Sep 04 2020 daviddavid <daviddavid> 0:3.6.0-1.mga8
+ Revision: 1621496
- Update to upstream version 3.6.0.
- Section related to javadoc is removed because in the latest upstream source
  javadoc module is removed
- Disable unused beanshell support
- Rebuilt for JDK-11
- Disable unused ant scripting support

* Sat Aug 15 2020 neoclust <neoclust> 0:3.5.1-3.mga8
+ Revision: 1614127
- Rebuild against new maven

* Fri Feb 14 2020 umeabot <umeabot> 0:3.5.1-2.mga8
+ Revision: 1520254
- Mageia 8 Mass Rebuild

* Sat Nov 17 2018 guillomovitch <guillomovitch> 0:3.5.1-1.mga7
+ Revision: 1330344
- new version 3.5.1

* Wed Sep 19 2018 umeabot <umeabot> 0:3.4-8.mga7
+ Revision: 1264077
- Mageia 7 Mass Rebuild

* Mon May 15 2017 neoclust <neoclust> 0:3.4-7.mga6
+ Revision: 1101412
- Rebuild maven-* packages

* Wed May 10 2017 neoclust <neoclust> 0:3.4-6.mga6
+ Revision: 1100019
- Port to plexus-utils 3.0.24
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 0:3.4-4.mga6
+ Revision: 977312
- First rebuild of the java stack
- sync package maven-plugin-tools with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Dec 30 2014 pterjan <pterjan> 0:3.3-2.mga5
+ Revision: 807453
- Add missing groups
- Clean rebuild
- Clean rebuild
- Clean rebuild
- Clean rebuild
- Sync with Fedora 21
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Sat Jun 14 2014 dmorgan <dmorgan> 0:3.1-18.mga5
+ Revision: 636206
- Disable test dependencies

* Fri Apr 04 2014 dmorgan <dmorgan> 0:3.1-17.mga5
+ Revision: 611672
- Disable resolution of test artifacts

* Sat Oct 19 2013 umeabot <umeabot> 0:3.1-16.mga4
+ Revision: 535784
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 dmorgan <dmorgan> 0:3.1-15.mga4
+ Revision: 482580
- Rebuild against new javapackages
- Disable test dependencies
- Fix com.sun dependancy
- Build with xmvn
- Add patch for MPLUGIN-242
  	- Resolves: rhbz#920042

* Thu Jul 11 2013 dmorgan <dmorgan> 0:3.1-7.mga4
+ Revision: 453009
- Fix Requires/BuildRequires

* Sat Jan 12 2013 umeabot <umeabot> 0:3.1-6.mga3
+ Revision: 359729
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 15 2012 pterjan <pterjan> 0:3.1-5.mga3
+ Revision: 331254
- Add even more dependencies

* Sat Dec 15 2012 pterjan <pterjan> 0:3.1-4.mga3
+ Revision: 331118
- Add a missing dependency breaking many builds

* Mon Dec 03 2012 dmorgan <dmorgan> 0:3.1-3.mga3
+ Revision: 325968
- Java Stack Mass Rebuild
- Bootstrap build
- New version

* Sun Jan 08 2012 gil <gil> 0:2.7-3.mga2
+ Revision: 193132
- Missing com.sun.javadoc / com.sun.tools.doclet forced in the POM
  emoval of plexus-maven-plugin (not needed)
  Migration to maven3
  Removal of unwanted file duplicates
  Minor spec file changes according to the latest guidelines
- re built

* Thu Apr 28 2011 dmorgan <dmorgan> 0:2.7-2.mga1
+ Revision: 92717
- Rebuild after bootstrapping
- imported package maven-plugin-tools


* Sat Feb 12 2011 Alexander Kurtakov <akurtako@redhat.com> 0:2.7-1
- Update to new upstream release.
- Adapt to current guidelines.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:2.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Sep 30 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0:2.6-8
- Remove jtidy depmap (not needed anymore)

* Wed Sep 29 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0:2.6-7
- Add patch for new jtidy
- Add jtidy depmap

* Wed Sep 8 2010 Alexander Kurtakov <akurtako@redhat.com> 0:2.6-6
- BR maven-site-plugin.
- Use javadoc:aggregate for multimodule projects.

* Thu May 27 2010 Alexander Kurtakov <akurtako@redhat.com> 0:2.6-5
- Add missing requires.
- Drop modello patches not needed anymore.

* Wed May 19 2010 Alexander Kurtakov <akurtako@redhat.com> 0:2.6-4
- Fix plugin-tools-java obsoletes.

* Tue May 18 2010 Alexander Kurtakov <akurtako@redhat.com> 0:2.6-3
- More BRs.

* Tue May 18 2010 Alexander Kurtakov <akurtako@redhat.com> 0:2.6-2
- Fix BRs.

* Tue May 18 2010 Alexander Kurtakov <akurtako@redhat.com> 2.6-0
- Update to 2.6.
- Separate modules as subpackages.

* Mon Nov 23 2009 Alexander Kurtakov <akurtako@redhat.com> 0:2.1-6
- BR maven-plugin-tools.

* Mon Aug 31 2009 Alexander Kurtakov <akurtako@redhat.com> 0:2.1-5
- Set minimum version for plexus-utils BR.
- BR java-devel.
- Fix javadoc subpackage description.

* Mon Aug 31 2009 Alexander Kurtakov <akurtako@redhat.com> 0:2.1-4
- Adapt for Fedora.

* Wed May 20 2009 Fernando Nasser <fnasser@redhat.com> - 0:2.1-3
- Fix license
- Fix URL

* Mon Apr 27 2009 Yong Yang <yyang@redhat.com> - 0:2.1-2
- Add BRs for maven-doxia*
- Rebuild with maven2-2.0.8 built in non-bootstrap mode

* Mon Mar 09 2009 Yong Yang <yyang@redhat.com> - 0:2.1-1
- Import from dbhole's maven2 2.0.8 packages

* Mon Apr 07 2008 Deepak Bhole <dbhole@redhat.com> - 0:2.1-0jpp.1
- Initial build
